diff -wurNbB squid-2.2.DEVEL3-PR0/src/acl.c squid-2.2.DEVEL3-PR/src/acl.c
--- squid-2.2.DEVEL3/src/acl.c	Fri Mar  5 22:28:50 1999
+++ squid-2.2.DEVEL3-PR/src/acl.c	Fri Mar  5 22:04:04 1999
@@ -766,6 +766,8 @@
 	if (NULL == L)		/* empty list should never happen, but in case */
 	    continue;
 	while (L) {
+			debug(28, 0) ("aclGetDenyInfoPage: will %s = %s:%d ?\n",
+				name, L->name, A->err_page_id);
 	    if (!strcmp(name, L->name))
 		return A->err_page_id;
 	    L = L->next;
diff -wurNbB squid-2.2.DEVEL3-PR0/src/client_side.c squid-2.2.DEVEL3-PR/src/client_side.c
--- squid-2.2.DEVEL3-PR0/src/client_side.c	Fri Mar  5 22:28:50 1999
+++ squid-2.2.DEVEL3-PR/src/client_side.c	Fri Mar  5 22:23:59 1999
@@ -199,10 +199,17 @@
 	debug(33, 5) ("Access Denied: %s\n", http->uri);
 	debug(33, 5) ("AclMatchedName = %s\n",
 	    AclMatchedName ? AclMatchedName : "<null>");
+	/*
+		Moved up because clientCreateStoreEntry is changing AclMatchedName 
+		when parsing the acl's for the delay pools 
+	*/
+	page_id = aclGetDenyInfoPage(&Config.denyInfoList, AclMatchedName);
+	debug(33, 5) ("Deny Info PageID: %d\n", page_id);
 	http->log_type = LOG_TCP_DENIED;
 	http->entry = clientCreateStoreEntry(http, http->request->method,
 	    null_request_flags);
-	page_id = aclGetDenyInfoPage(&Config.denyInfoList, AclMatchedName);
+	debug(33, 5) ("AclMatchedName#2 = %s\n",
+	    AclMatchedName ? AclMatchedName : "<null>");
 	if (answer == ACCESS_REQ_PROXY_AUTH || aclIsProxyAuth(AclMatchedName)) {
 	    if (!http->flags.accel) {
 		/* Proxy authorisation needed */

